Bug 854321 - Password policies are sorted lexicographically instead of numerically
Password policies are sorted lexicographically instead of numerically
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.4
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 12:00 EDT by Dmitri Pal
Modified: 2014-02-24 18:07 EST (History)
2 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:17:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-09-04 12:00:54 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/3039

Password policies are sorted by priority. They are sorted incorrectly: lexicographically instead of numerically. 

{{{
#ipa pwpolicy-find
  Group: admins
  Priority: 1

  Group: dd
  Priority: 10

  Group: editors
  Priority: 2

  Group: trust admins
  Priority: 3

  Group: ipausers
  Priority: 4

  Group: monsters
  Priority: 5

  Group: puppets
  Priority: 6

  Group: global_policy
  Max lifetime (days): 1000
  Min lifetime (hours): 1
  History size: 0
  Character classes: 0
  Min length: 8
  Max failures: 6
  Failure reset interval: 60
  Lockout duration: 600
}}}
Comment 1 Rob Crittenden 2012-09-04 15:05:52 EDT
Simple fix, just need to always treat the CoS priority as a number.

Fixed upstream.

master: 208e6930de94f56264f5964411bbe1b0d6684516

ipa-3-0: 9286df1fe338459677d1479caac2f1f2f26c429a
Comment 4 Namita Soman 2013-01-14 12:19:58 EST
Verified using ipa-server-3.0.0-20.el6.x86_64

sorted by priority....

# ipa pwpolicy-find
  Group: two
  Priority: 2

  Group: three
  Priority: 3

  Group: four
  Priority: 4

  Group: five
  Priority: 5

  Group: global_policy
  Max lifetime (days): 90
  Min lifetime (hours): 1
  History size: 0
  Character classes: 0
  Min length: 8
  Max failures: 6
  Failure reset interval: 60
  Lockout duration: 600
----------------------------
Number of entries returned 5
----------------------------
Comment 6 errata-xmlrpc 2013-02-21 04:17:29 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.